
%% broad sector plots from the BDS
% manufacturing
sic1=dlmread('figures/sector_share_actual_1.txt','',0,0);
sic1(sic1(:,4)==0)= NaN;
eshr_pbar=sic1(:,4);
eshr_pbar(eshr_pbar==0)=NaN;

figure
plot(1977:2013,sic1(:,2),'r--',1977:2013,sic1(:,3),'b',1977:2013,eshr_pbar,'b-.','LineWidth',2)
axis([1975 2015 0 0.3])
set(gca,'ytick',0:0.05:0.3)
set(gca,'yticklabel',0:0.05:0.3)
set(gca,'FontSize',24)
set(findall(gcf,'type','text'),'FontSize',20)
ylabel('Employment Share')
h=legend('$s^j_t$','$e^j_t$','$\tilde{e}_t^j$')
set(h,'Interpreter','latex')
set(h,'FontSize',42)
legend('boxoff')
print('-dpdf','figures/fig_sector_share_actual_1.pdf')
print('-depsc','figures/fig_sector_share_actual_1.eps')

% retail
sic2=dlmread('figures/sector_share_actual_2.txt','',0,0);
sic2(sic2(:,4)==0)= NaN;
eshr_pbar=sic2(:,4);
eshr_pbar(eshr_pbar==0)=NaN;

figure
plot(1977:2013,sic2(:,2),'r--',1977:2013,sic2(:,3),'b',1977:2013,eshr_pbar,'b-.','LineWidth',2)
axis([1975 2015 0.1 0.4])
set(gca,'ytick',0.1:0.05:0.4)
set(gca,'yticklabel',0.1:0.05:0.4)
set(gca,'FontSize',24)
set(findall(gcf,'type','text'),'FontSize',20)
ylabel('Employment Share')
print('-dpdf','figures/fig_sector_share_actual_2.pdf')
print('-depsc','figures/fig_sector_share_actual_2.eps')


% services
sic3=dlmread('figures/sector_share_actual_3.txt','',0,0);
sic3(sic3(:,4)==0)= NaN;
eshr_pbar=sic3(:,4);
eshr_pbar(eshr_pbar==0)=NaN;

figure
plot(1977:2013,sic3(:,2),'r--',1977:2013,sic3(:,3),'b',1977:2013,eshr_pbar,'b-.','LineWidth',2)
axis([1975 2015 0.2 0.5])
set(gca,'ytick',0.2:0.05:0.5)
set(gca,'yticklabel',0.2:0.05:0.5)
set(gca,'FontSize',24)
set(findall(gcf,'type','text'),'FontSize',20)
ylabel('Employment Share')
print('-dpdf','figures/fig_sector_share_actual_3.pdf')
print('-depsc','figures/fig_sector_share_actual_3.eps')


%% RCD OUTPUT
% rdcplot: (NAICS,ymin,ymax,ytick,legend_location)
rdcplot(1,0,0.1,0.02,'SouthWest')
rdcplot(2,0.1,0.24,0.02,'SouthWest')
rdcplot(3,0.25,0.35,0.02,'SouthEast')
rdcplot(4,0,0.04,0.005,'NorthEast')
rdcplot(5,0.05,0.1,0.01,'NorthEast')
rdcplot(6,0.08,0.18,0.02,'SouthEast')
rdcplot(7,0.11,0.21,0.02,'SouthEast')
rdcplot(8,0.01,0.05,0.008,'SouthEast')

hightech=dlmread('hightech_eshr.txt','',0,1);
plot(1987:2012,hightech(1:26,1),'b',...
        1987:2012,hightech(1:26,2),'b--','LineWidth',1.5)
set(gca,'xtick',1985:10:2015)
set(gca,'xticklabel',1985:10:2015)
set(gca,'ytick',0:0.02:0.1)
set(gca,'yticklabel',0:0.02:0.1)
set(gca,'FontSize',24)
axis([1985 2015 0 0.1])
set(findall(gcf,'type','text'),'FontSize',20)
ylabel('Employment Share')
print('-dpdf','figures/fig_eshr_hightech.pdf')
print('-depsc','figures/fig_eshr_hightech.eps')

%% Density plots
% levels
density=dlmread('densities.txt','',0,0);
figure % supnorm(actual-pbar)
plot(density(:,2),density(:,1),'k','LineWidth',1.5)
set(gca,'xtick',[-0.001 0 0.001 0.002])
set(gca,'xticklabel',[-0.001 0 0.001 0.002])
ylabel('Density','FontSize',18)
xlabel('$\max\limits_{t\in \{1987,2012\}} e^j-\tilde{e}^j$',...
    'Interpreter','latex','FontSize',18)
set(gca,'FontSize',18)
print('-dpdf','figures/fig_density_naics4.pdf')
print('-depsc','figures/fig_density_naics4.eps')

% logs
figure % supnorm(log(actual)-log(pbar))
plot(density(:,4),density(:,3),'k','LineWidth',1.5)
ylabel('Density','FontSize',18)
xlabel('$\max\limits_{t\in \{1987,2012\}} log(e^j)-log(\tilde{e}^j)$',...
    'Interpreter','latex','FontSize',18)
set(gca,'FontSize',18)
print('-dpdf','figures/fig_ldensity_naics4.pdf')
print('-depsc','figures/fig_ldensity_naics4.eps')
