function h = rdcplot(n,ymin,ymax,ytick,loc)
rdcout=dlmread('naics1_eshr.txt','',0,1);
plot(1987:2012,rdcout(26*(n-1)+1:26*n,2),'b',...
        1987:2012,rdcout(26*(n-1)+1:26*n,3),'b--','LineWidth',1.5)
set(gca,'xtick',1985:10:2015)
set(gca,'xticklabel',1985:10:2015)
set(gca,'ytick',ymin:ytick:ymax)
set(gca,'yticklabel',ymin:ytick:ymax)
set(gca,'FontSize',24)
axis([1985 2015 ymin ymax])
set(findall(gcf,'type','text'),'FontSize',20)
ylabel('Employment Share')
if n==1 
    h=legend('$e^j_t$','$\tilde{e}_t^j$','Location',loc);
    set(h,'Interpreter','latex')
    set(h,'FontSize',42)
    legend('boxoff')
    set(h,'Interpreter','latex')
end
print('-dpdf',fullfile(pwd,'figures',sprintf('fig_eshr_naics_%i.pdf',n)))
print('-depsc',fullfile(pwd,'figures',sprintf('fig_eshr_naics_%i.eps',n)))

end