version 12
clear all

use bds_firm_age
descr

* gen alternate grouping
label define _ageg ///
  1 "Age 0" ///
  2 "Ages 1-10" ///
  3 "Ages 11+"
  
egen fage4num = group(fage4)

gen ageg = .
replace ageg = 1 if fage4num == 1 /* startups */
replace ageg = 2 if inrange(fage4num, 2, 7) & year2 >= 1987 /* 1 to 10 years */
replace ageg = 3 if inrange(fage4num, 8, 12) & year2 >= 1987 /* 11+ years */
label values ageg _ageg 

keep year2 ageg ///
  firms emp denom job_creation job_creation_births job_creation_continuers ///
  job_destruction job_destruction_deaths job_destruction_continuers ///
  net_job_creation firmdeath_firms firmdeath_estabs firmdeath_emp

collapse (sum) ///
  firms emp denom job_creation job_creation_births job_creation_continuers ///
  job_destruction job_destruction_deaths job_destruction_continuers ///
  net_job_creation firmdeath_firms firmdeath_estabs firmdeath_emp, by(year2 ageg)

  
do addvars_bds_empfirm_allages

save bds_2groups, replace

